3

Instructions from here did not work.

Instructions:

apt-add-repository -y ppa:aims/sagemath
apt-get update
apt-get install sagemath-upstream-binary

After last command I get:

$ sudo apt-get install sagemath-upstream-binary
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package sagemath-upstream-binary is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'sagemath-upstream-binary' has no installation candidate

How to overcome?

UPDATE

Check command

$ sudo grep sage /etc/apt/sources.list.d/ -R
/etc/apt/sources.list.d/aims-sagemath-trusty.list.save:deb http://ppa.launchpad.net/aims/sagemath/ubuntu trusty main
/etc/apt/sources.list.d/aims-sagemath-trusty.list.save:# deb-src http://ppa.launchpad.net/aims/sagemath/ubuntu trusty main
/etc/apt/sources.list.d/aims-sagemath-trusty.list:deb http://ppa.launchpad.net/aims/sagemath/ubuntu trusty main
/etc/apt/sources.list.d/aims-sagemath-trusty.list:# deb-src http://ppa.launchpad.net/aims/sagemath/ubuntu trusty main
/etc/apt/sources.list.d/aims-sagemath-trusty.list:# deb-src http://ppa.launchpad.net/aims/sagemath/ubuntu trusty main
4
  • Works fine for me. I'd guess your first command didn't run successfully. See if grep sage /etc/apt/sources.list.d/ -R lists any files. Are you behind a proxy, or firewall, etc.?
    – muru
    Nov 18, 2014 at 19:18
  • Are you on 64-bit or 32-bit?
    – muru
    Nov 18, 2014 at 19:29
  • 32 bit and virtual
    – Suzan Cioc
    Nov 18, 2014 at 19:34
  • Although you wanted to do this from the package, keep in mind you could also install from source - it's really not too bad.
    – kcrisman
    Mar 14, 2017 at 19:15

1 Answer 1

2

The Sage PPA currently only publishes a binary package for 64-bit systems:

$ grep '^Package' /var/lib/apt/lists/ppa.launchpad.net_aims*_Packages
/var/lib/apt/lists/ppa.launchpad.net_aims_sagemath_ubuntu_dists_trusty_main_binary-amd64_Packages:Package: sagemath-upstream-binary
/var/lib/apt/lists/ppa.launchpad.net_aims_sagemath_ubuntu_dists_trusty_main_binary-amd64_Packages:Package: sagemath-optional
/var/lib/apt/lists/ppa.launchpad.net_aims_sagemath_ubuntu_dists_trusty_main_binary-i386_Packages:Package: sagemath-optional

The PPA page for that package lists only amd64 in the Builds section.

Even in a VM, there's no reason not to use 64-bit. So install 64-bit Ubuntu.

3
  • So you cannot do apt-add-repository here, since I get also the error Error reading https://launchpad.net/api/1.0/~aims/+archive/sagemath: EOF occurred in violation of protocol (_ssl.c:600). So the default way to install Sage is to download the 800MB file and just install. They have removed the non-Debian package from apt-get. Jul 30, 2015 at 19:42
  • @Masi are you behind a firewall or proxy or something? What do you mean, non-Debian package? A PPA only provides Debian packages.
    – muru
    Jul 30, 2015 at 19:44
  • No proxy and no firewall, just default Debian 8.1 which should be compatible with 14.04. Can you give a clear preview how you add the package in Sage. I got the error which I don not understand. Jul 30, 2015 at 19:49

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.